"use strict";
this.name = "phkb_boa_conditions_script";
this.author = "phkb";
this.copyright = "2021 phkb";
this.license = "CC BY-NC-SA 4.0";

this.allowOfferShip = function(shipKey) {
    // only offer certain styles/colours on a regular basis
    // qtr 1 - style 1 (1-9)
    // qtr 2 - style 2 (10-18)
    // qtr 3 - style 3 (19-27)
    // qtr 4 - style 4 (28-36)
    // 12 weeks per qtr
    // week 1 - 1&2
    // week 2 - 3&4
    // week 3 - 5&6
    // week 4 - 7&8&9
    // repeat
    var keys = {
        0: [1,2,3,4,5,6,7,8,9],
        1: [10,11,12,13,14,15,16,17,18],
        2: [19,20,21,22,23,24,25,26,27],
        3: [28,29,30,31,32,33,34,35,36]
    }
    var week = parseInt(clock.daysComponent / 7) % 4;  // will be 0-3
    var qtr = parseInt(clock.daysComponent / 30) % 4;  // will be 0-3
    var keylist = keys[qtr];
    var avail = [];
    switch (week) {
        case 0: 
            avail.push(keylist[0]);
            avail.push(keylist[1]);
            break;
        case 1:
            avail.push(keylist[2]);
            avail.push(keylist[3]);
            break;
        case 2:
            avail.push(keylist[4]);
            avail.push(keylist[5]);
            break;
        case 3:
            avail.push(keylist[6]);
            avail.push(keylist[7]);
            avail.push(keylist[8]);
            break;
    }
    for (var i = 0; i < avail.length; i++) {
        if ((shipKey + "E").indexOf("_" + avail[i] + "E") >= 0) return true;
    }
    return false;
}